pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Problem bootstrapping on a RHEL4-machine - help needed

Yuji Yamano wrote:
On Sun, 27 Jul 2008 10:00:32 +0000, Jens Rehsack <> 

mk/buildlink3/ seems to support /usr/lib64 if it returns x86_64.
Hmm, but in this case it doesn't. Is it a new feature? My checkout is from end 
of june.

I don't think so. Could you run the following command and send the
output to me?


Sure - hope it helps.
BTW: The same result appears without setting CFLAGS & LDFLAGS, I applied them as a try of a workaround.


===> running: (cd /opt/room/pkgsrc/net/tnftp &&
/opt/room/pkgsrc/bootstrap/work/bin/bmake  -DPKG_PRESERVE
MAKECONF=/opt/room/pkgsrc/bootstrap/work/mk.conf install)
: commands for target _flavor-bootstrap-depends; set -x; set
-e;/usr/bin/env AWK=/bin/awk
PKG_ADMIN=/opt/room/pkgsrc/bootstrap/work/sbin/pkg_admin\ -K\ /var/db/pkg
PKGSRCDIR=/opt/room/pkgsrc PWD_CMD=/bin/pwd SED=/bin/sed  /bin/sh
/opt/room/pkgsrc/mk/flavor/pkg/list-dependencies  " " " " " " |   while
read type pattern dir; do                                         test
"$type" = "bootstrap" || continue;
pkg=`/opt/room/pkgsrc/bootstrap/work/sbin/pkg_info -K /var/db/pkg -E
"$pattern" || true`;            case $type in bootstrap) Type=Bootstrap;;
build) Type=Build;; full) Type=Full;; esac;  case "$pkg" in         "")
echo "=>" "$Type dependency $pattern: NOT found";        target=reinstall;
                              echo "=>" "Verifying $target for $dir";    [
-d "$dir" ] || /bin/sh /opt/room/pkgsrc/mk/scripts/fail echo 1>&2 "ERROR:"
"[] The directory \`\`$dir'' does not exist.";  cd $dir;
 /usr/bin/env MAKECONF=/opt/room/pkgsrc/bootstrap/work/mk.conf
_PKGSRC_DEPS=", tnftp-20070806" PKGNAME_REQD="$pattern"
/opt/room/pkgsrc/bootstrap/work/bin/bmake PKG_DEBUG_LEVEL=2
_MAKE=/opt/room/pkgsrc/bootstrap/work/bin/bmake OS_VERSION=2.6.9
LOWER_OPSYS=linux _PKGSRCDIR=/opt/room/pkgsrc PKGTOOLS_VERSION=20080423
_AUTOMATIC=yes $target; pkg=`/opt/room/pkgsrc/bootstrap/work/sbin/pkg_info
-K /var/db/pkg -E "$pattern" || true`;      case "$pkg" in           "")
echo 1>&2 "ERROR:" "[] A package matching \`\`$pattern''
should";  echo 1>&2 "ERROR:" "    be installed, but one cannot be found.
Perhaps there is a";  echo 1>&2 "ERROR:" "    stale work directory for
$dir?";  exit 1;                                          esac;    echo
"=>" "Returning to build of tnftp-20070806";                ;;     *)
 objfmt=`/opt/room/pkgsrc/bootstrap/work/sbin/pkg_info -K /var/db/pkg -Q
OBJECT_FMT "$pkg"`;          case "$objfmt" in           "")    echo 1>&2
"WARNING:" "[] Unknown object format for installed package $pkg"
;;  ELF)   ;;                           *)      echo 1>&2 "ERROR:"
"[] Installed package $pkg has an";  echo 1>&2 "ERROR:" " object
format \`\`$objfmt'' which differs from \`\`ELF''.  Please";  echo 1>&2
"ERROR:" "    update the $pkg package to ELF.";  exit 1;    ;;     esac;
                                             silent=;   if test -z
"${silent}"; then                    echo "=>" "$Type dependency $pattern:
found $pkg";  fi;                                                      ;;
                                                   esac;         done
+ set -e
+ /usr/bin/env AWK=/bin/awk
'PKG_ADMIN=/opt/room/pkgsrc/bootstrap/work/sbin/pkg_admin -K /var/db/pkg'
PKGSRCDIR=/opt/room/pkgsrc PWD_CMD=/bin/pwd SED=/bin/sed /bin/sh
/opt/room/pkgsrc/mk/flavor/pkg/list-dependencies ' ' ' ' ' '
+ read type pattern dir
ERROR: This package has set PKG_FAIL_REASON:
ERROR: No usable termcap library found on the system.
*** Error code 1

bmake: stopped in /opt/room/pkgsrc/net/tnftp

Home | Main Index | Thread Index | Old Index